###############################################################################
#
# Copyright (C) 2009
# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
# JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>
# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################

set_location_assignment PIN_F23 -to MB_I_OU.a[0]
set_location_assignment PIN_F20 -to MB_I_OU.a[1]
set_location_assignment PIN_H23 -to MB_I_OU.a[2]
set_location_assignment PIN_F19 -to MB_I_OU.a[3]
set_location_assignment PIN_G19 -to MB_I_OU.a[4]
set_location_assignment PIN_F18 -to MB_I_OU.a[5]
set_location_assignment PIN_G18 -to MB_I_OU.a[6]
set_location_assignment PIN_F17 -to MB_I_OU.a[7]
set_location_assignment PIN_D18 -to MB_I_OU.a[8]
set_location_assignment PIN_C18 -to MB_I_OU.a[9]
set_location_assignment PIN_G20 -to MB_I_OU.a[10]
set_location_assignment PIN_E17 -to MB_I_OU.a[11]
set_location_assignment PIN_B17 -to MB_I_OU.a[12]
set_location_assignment PIN_C24 -to MB_I_OU.a[13]
set_location_assignment PIN_D17 -to MB_I_OU.a[14]
set_location_assignment PIN_C17 -to MB_I_OU.a[15]
set_location_assignment PIN_E22 -to MB_I_OU.ba[0]
set_location_assignment PIN_E23 -to MB_I_OU.ba[1]
set_location_assignment PIN_A17 -to MB_I_OU.ba[2]
set_location_assignment PIN_D23 -to MB_I_OU.cas_n
set_location_assignment PIN_L23 -to MB_I_OU.ck[0]
set_location_assignment PIN_K24 -to MB_I_OU.ck[1]
set_location_assignment PIN_J22 -to MB_I_OU.cke[0]
set_location_assignment PIN_H22 -to MB_I_OU.cke[1]
set_location_assignment PIN_F14 -to MB_I_OU.dm[0]
set_location_assignment PIN_C11 -to MB_I_OU.dm[1]
set_location_assignment PIN_P17 -to MB_I_OU.dm[2]
set_location_assignment PIN_C16 -to MB_I_OU.dm[3]
set_location_assignment PIN_G24 -to MB_I_OU.dm[4]
set_location_assignment PIN_D27 -to MB_I_OU.dm[5]
set_location_assignment PIN_N30 -to MB_I_OU.dm[6]
set_location_assignment PIN_C32 -to MB_I_OU.dm[7]
set_location_assignment PIN_G13 -to MB_I_IO.dq[0]
set_location_assignment PIN_F12 -to MB_I_IO.dq[1]
set_location_assignment PIN_E14 -to MB_I_IO.dq[2]
set_location_assignment PIN_D13 -to MB_I_IO.dq[3]
set_location_assignment PIN_J12 -to MB_I_IO.dq[4]
set_location_assignment PIN_H13 -to MB_I_IO.dq[5]
set_location_assignment PIN_H14 -to MB_I_IO.dq[6]
set_location_assignment PIN_G14 -to MB_I_IO.dq[7]
set_location_assignment PIN_A11 -to MB_I_IO.dq[8]
set_location_assignment PIN_C12 -to MB_I_IO.dq[9]
set_location_assignment PIN_B13 -to MB_I_IO.dq[10]
set_location_assignment PIN_A13 -to MB_I_IO.dq[11]
set_location_assignment PIN_B10 -to MB_I_IO.dq[12]
set_location_assignment PIN_A10 -to MB_I_IO.dq[13]
set_location_assignment PIN_B11 -to MB_I_IO.dq[14]
set_location_assignment PIN_C13 -to MB_I_IO.dq[15]
set_location_assignment PIN_L16 -to MB_I_IO.dq[16]
set_location_assignment PIN_K17 -to MB_I_IO.dq[17]
set_location_assignment PIN_J17 -to MB_I_IO.dq[18]
set_location_assignment PIN_H17 -to MB_I_IO.dq[19]
set_location_assignment PIN_N16 -to MB_I_IO.dq[20]
set_location_assignment PIN_M16 -to MB_I_IO.dq[21]
set_location_assignment PIN_M17 -to MB_I_IO.dq[22]
set_location_assignment PIN_N17 -to MB_I_IO.dq[23]
set_location_assignment PIN_E16 -to MB_I_IO.dq[24]
set_location_assignment PIN_D16 -to MB_I_IO.dq[25]
set_location_assignment PIN_A16 -to MB_I_IO.dq[26]
set_location_assignment PIN_B16 -to MB_I_IO.dq[27]
set_location_assignment PIN_G15 -to MB_I_IO.dq[28]
set_location_assignment PIN_F15 -to MB_I_IO.dq[29]
set_location_assignment PIN_F16 -to MB_I_IO.dq[30]
set_location_assignment PIN_G17 -to MB_I_IO.dq[31]
set_location_assignment PIN_C25 -to MB_I_IO.dq[32]
set_location_assignment PIN_B25 -to MB_I_IO.dq[33]
set_location_assignment PIN_B26 -to MB_I_IO.dq[34]
set_location_assignment PIN_A26 -to MB_I_IO.dq[35]
set_location_assignment PIN_F24 -to MB_I_IO.dq[36]
set_location_assignment PIN_D25 -to MB_I_IO.dq[37]
set_location_assignment PIN_D26 -to MB_I_IO.dq[38]
set_location_assignment PIN_G25 -to MB_I_IO.dq[39]
set_location_assignment PIN_C27 -to MB_I_IO.dq[40]
set_location_assignment PIN_A27 -to MB_I_IO.dq[41]
set_location_assignment PIN_A28 -to MB_I_IO.dq[42]
set_location_assignment PIN_A29 -to MB_I_IO.dq[43]
set_location_assignment PIN_C29 -to MB_I_IO.dq[44]
set_location_assignment PIN_C30 -to MB_I_IO.dq[45]
set_location_assignment PIN_A31 -to MB_I_IO.dq[46]
set_location_assignment PIN_B31 -to MB_I_IO.dq[47]
set_location_assignment PIN_E31 -to MB_I_IO.dq[48]
set_location_assignment PIN_F31 -to MB_I_IO.dq[49]
set_location_assignment PIN_M30 -to MB_I_IO.dq[50]
set_location_assignment PIN_C33 -to MB_I_IO.dq[51]
set_location_assignment PIN_M29 -to MB_I_IO.dq[52]
set_location_assignment PIN_N29 -to MB_I_IO.dq[53]
set_location_assignment PIN_M31 -to MB_I_IO.dq[54]
set_location_assignment PIN_N31 -to MB_I_IO.dq[55]
set_location_assignment PIN_C31 -to MB_I_IO.dq[56]
set_location_assignment PIN_B32 -to MB_I_IO.dq[57]
set_location_assignment PIN_H32 -to MB_I_IO.dq[58]
set_location_assignment PIN_J32 -to MB_I_IO.dq[59]
set_location_assignment PIN_J30 -to MB_I_IO.dq[60]
set_location_assignment PIN_K30 -to MB_I_IO.dq[61]
set_location_assignment PIN_M28 -to MB_I_IO.dq[62]
set_location_assignment PIN_N28 -to MB_I_IO.dq[63]
set_location_assignment PIN_F13 -to MB_I_IO.dqs[0]
set_location_assignment PIN_D14 -to MB_I_IO.dqs[1]
set_location_assignment PIN_K16 -to MB_I_IO.dqs[2]
set_location_assignment PIN_D15 -to MB_I_IO.dqs[3]
set_location_assignment PIN_F25 -to MB_I_IO.dqs[4]
set_location_assignment PIN_C28 -to MB_I_IO.dqs[5]
set_location_assignment PIN_H31 -to MB_I_IO.dqs[6]
set_location_assignment PIN_D35 -to MB_I_IO.dqs[7]
set_location_assignment PIN_K34 -to MB_I_IN.evt
set_location_assignment PIN_G23 -to MB_I_OU.odt[0]
set_location_assignment PIN_G22 -to MB_I_OU.odt[1]
set_location_assignment PIN_D24 -to MB_I_OU.ras_n
set_location_assignment PIN_K12 -to MB_I_OU.reset_n
set_location_assignment PIN_D29 -to MB_I_OU.cs_n[0]
set_location_assignment PIN_D28 -to MB_I_OU.cs_n[1]
set_location_assignment PIN_J34 -to MB_I_IO.scl
set_location_assignment PIN_J35 -to MB_I_IO.sda
set_location_assignment PIN_D22 -to MB_I_OU.we_n
#set_location_assignment PIN_E13 -to MB_I_IO.dqs_n[0]
#set_location_assignment PIN_C14 -to MB_I_IO.dqs_n[1]
#set_location_assignment PIN_J16 -to MB_I_IO.dqs_n[2]
#set_location_assignment PIN_C15 -to MB_I_IO.dqs_n[3]
#set_location_assignment PIN_E25 -to MB_I_IO.dqs_n[4]
#set_location_assignment PIN_B28 -to MB_I_IO.dqs_n[5]
#set_location_assignment PIN_G31 -to MB_I_IO.dqs_n[6]
#set_location_assignment PIN_C35 -to MB_I_IO.dqs_n[7]
#set_location_assignment PIN_K23 -to MB_I_OU.ck_n[0]
#set_location_assignment PIN_J24 -to MB_I_OU.ck_n[1]
#set_location_assignment PIN_N26 -to MB_I_IN.oct_rdn
#set_location_assignment PIN_P26 -to MB_I_IN.oct_rup

set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[8]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[9]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[10]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[11]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[12]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[13]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[14]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.a[15]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.ba[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.ba[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.ba[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.cas_n
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_OU.ck[0]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_OU.ck[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.cke[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.cke[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.dm[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[8]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[9]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[10]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[11]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[12]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[13]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[14]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[15]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[16]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[17]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[18]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[19]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[20]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[21]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[22]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[23]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[24]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[25]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[26]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[27]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[28]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[29]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[30]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[31]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[32]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[33]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[34]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[35]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[36]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[37]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[38]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[39]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[40]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[41]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[42]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[43]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[44]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[45]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[46]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[47]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[48]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[49]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[50]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[51]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[52]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[53]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[54]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[55]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[56]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[57]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[58]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[59]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[60]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[61]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[62]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_IO.dq[63]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[0]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[1]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[2]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[3]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[4]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[5]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[6]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_I_IO.dqs[7]
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_I_IN.evt
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.odt[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.odt[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.ras_n
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.reset_n
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.cs_n[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.cs_n[1]
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_I_IO.scl
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_I_IO.sda
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_I_OU.we_n

#set_instance_assignment -name IO_STANDARD "1.5 V" -to oct_rdn
#set_instance_assignment -name IO_STANDARD "1.5 V" -to oct_rup

