from dp_stream_pkg import *

def dp_mux(src_out, snk_in_a, snk_in_b, sel):
    """

    """
    @always_comb
    def muxLogic():
        if sel == 1:
            # Note: unfortunately we cannot connect entire buses (using .next) but have to connect them element wise.
            src_out.data.next  = snk_in_a.data
            src_out.valid.next = snk_in_a.valid
            src_out.sop.next   = snk_in_a.sop
            src_out.eop.next   = snk_in_a.eop
        else:
            src_out.data.next  = snk_in_b.data
            src_out.valid.next = snk_in_b.valid
            src_out.sop.next   = snk_in_b.sop
            src_out.eop.next   = snk_in_b.eop

    return muxLogic
