###############################################################################
#
# Copyright (C) 2009
# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
# JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>
# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################

set_location_assignment PIN_AU17 -to MB_II_OU[0].a[0]
set_location_assignment PIN_AU23 -to MB_II_OU[0].a[1]
set_location_assignment PIN_AR23 -to MB_II_OU[0].a[2]
set_location_assignment PIN_AV17 -to MB_II_OU[0].a[3]
set_location_assignment PIN_AT23 -to MB_II_OU[0].a[4]
set_location_assignment PIN_AU24 -to MB_II_OU[0].a[5]
set_location_assignment PIN_AP23 -to MB_II_OU[0].a[6]
set_location_assignment PIN_AT24 -to MB_II_OU[0].a[7]
set_location_assignment PIN_AT17 -to MB_II_OU[0].a[8]
set_location_assignment PIN_AV23 -to MB_II_OU[0].a[9]
set_location_assignment PIN_AV20 -to MB_II_OU[0].a[10]
set_location_assignment PIN_AW25 -to MB_II_OU[0].a[11]
set_location_assignment PIN_AU18 -to MB_II_OU[0].a[12]
set_location_assignment PIN_AT18 -to MB_II_OU[0].a[13]
set_location_assignment PIN_AV25 -to MB_II_OU[0].a[14]
set_location_assignment PIN_AN23 -to MB_II_OU[0].a[15]
set_location_assignment PIN_AT19 -to MB_II_OU[0].ba[0]
set_location_assignment PIN_AU20 -to MB_II_OU[0].ba[1]
set_location_assignment PIN_AW23 -to MB_II_OU[0].ba[2]
set_location_assignment PIN_AU19 -to MB_II_OU[0].cas_n
set_location_assignment PIN_AK23 -to MB_II_OU[0].ck[0]
set_location_assignment PIN_AH23 -to MB_II_OU[0].ck[1]
#set_location_assignment PIN_AL23 -to MB_II_OU[0].ck_n[0]
#set_location_assignment PIN_AJ23 -to MB_II_OU[0].ck_n[1]
set_location_assignment PIN_AN22 -to MB_II_OU[0].cke[0]
set_location_assignment PIN_AM22 -to MB_II_OU[0].cke[1]
set_location_assignment PIN_AK31 -to MB_II_OU[0].dm[0]
set_location_assignment PIN_AU31 -to MB_II_OU[0].dm[1]
set_location_assignment PIN_AW28 -to MB_II_OU[0].dm[2]
set_location_assignment PIN_AN25 -to MB_II_OU[0].dm[3]
set_location_assignment PIN_AW16 -to MB_II_OU[0].dm[4]
set_location_assignment PIN_AH17 -to MB_II_OU[0].dm[5]
set_location_assignment PIN_AU14 -to MB_II_OU[0].dm[6]
set_location_assignment PIN_AL14 -to MB_II_OU[0].dm[7]
set_location_assignment PIN_AL31 -to MB_II_IO[0].dq[0]
set_location_assignment PIN_AN31 -to MB_II_IO[0].dq[1]
set_location_assignment PIN_AP32 -to MB_II_IO[0].dq[2]
set_location_assignment PIN_AR32 -to MB_II_IO[0].dq[3]
set_location_assignment PIN_AE26 -to MB_II_IO[0].dq[4]
set_location_assignment PIN_AF26 -to MB_II_IO[0].dq[5]
set_location_assignment PIN_AK30 -to MB_II_IO[0].dq[6]
set_location_assignment PIN_AL30 -to MB_II_IO[0].dq[7]
set_location_assignment PIN_AU32 -to MB_II_IO[0].dq[8]
set_location_assignment PIN_AM29 -to MB_II_IO[0].dq[9]
set_location_assignment PIN_AT31 -to MB_II_IO[0].dq[10]
set_location_assignment PIN_AG27 -to MB_II_IO[0].dq[11]
set_location_assignment PIN_AG28 -to MB_II_IO[0].dq[12]
set_location_assignment PIN_AL29 -to MB_II_IO[0].dq[13]
set_location_assignment PIN_AH28 -to MB_II_IO[0].dq[14]
set_location_assignment PIN_AH27 -to MB_II_IO[0].dq[15]
set_location_assignment PIN_AW29 -to MB_II_IO[0].dq[16]
set_location_assignment PIN_AV28 -to MB_II_IO[0].dq[17]
set_location_assignment PIN_AW27 -to MB_II_IO[0].dq[18]
set_location_assignment PIN_AW31 -to MB_II_IO[0].dq[19]
set_location_assignment PIN_AW34 -to MB_II_IO[0].dq[20]
set_location_assignment PIN_AW33 -to MB_II_IO[0].dq[21]
set_location_assignment PIN_AW32 -to MB_II_IO[0].dq[22]
set_location_assignment PIN_AV31 -to MB_II_IO[0].dq[23]
set_location_assignment PIN_AV26 -to MB_II_IO[0].dq[24]
set_location_assignment PIN_AU25 -to MB_II_IO[0].dq[25]
set_location_assignment PIN_AT25 -to MB_II_IO[0].dq[26]
set_location_assignment PIN_AP24 -to MB_II_IO[0].dq[27]
set_location_assignment PIN_AW26 -to MB_II_IO[0].dq[28]
set_location_assignment PIN_AM25 -to MB_II_IO[0].dq[29]
set_location_assignment PIN_AR25 -to MB_II_IO[0].dq[30]
set_location_assignment PIN_AP25 -to MB_II_IO[0].dq[31]
set_location_assignment PIN_AR17 -to MB_II_IO[0].dq[32]
set_location_assignment PIN_AU16 -to MB_II_IO[0].dq[33]
set_location_assignment PIN_AU15 -to MB_II_IO[0].dq[34]
set_location_assignment PIN_AN16 -to MB_II_IO[0].dq[35]
set_location_assignment PIN_AN17 -to MB_II_IO[0].dq[36]
set_location_assignment PIN_AP17 -to MB_II_IO[0].dq[37]
set_location_assignment PIN_AT16 -to MB_II_IO[0].dq[38]
set_location_assignment PIN_AT15 -to MB_II_IO[0].dq[39]
set_location_assignment PIN_AJ16 -to MB_II_IO[0].dq[40]
set_location_assignment PIN_AK17 -to MB_II_IO[0].dq[41]
set_location_assignment PIN_AL17 -to MB_II_IO[0].dq[42]
set_location_assignment PIN_AM17 -to MB_II_IO[0].dq[43]
set_location_assignment PIN_AE17 -to MB_II_IO[0].dq[44]
set_location_assignment PIN_AF17 -to MB_II_IO[0].dq[45]
set_location_assignment PIN_AH16 -to MB_II_IO[0].dq[46]
set_location_assignment PIN_AG16 -to MB_II_IO[0].dq[47]
set_location_assignment PIN_AV14 -to MB_II_IO[0].dq[48]
set_location_assignment PIN_AW14 -to MB_II_IO[0].dq[49]
set_location_assignment PIN_AU12 -to MB_II_IO[0].dq[50]
set_location_assignment PIN_AU11 -to MB_II_IO[0].dq[51]
set_location_assignment PIN_AW12 -to MB_II_IO[0].dq[52]
set_location_assignment PIN_AT12 -to MB_II_IO[0].dq[53]
set_location_assignment PIN_AW11 -to MB_II_IO[0].dq[54]
set_location_assignment PIN_AV11 -to MB_II_IO[0].dq[55]
set_location_assignment PIN_AP14 -to MB_II_IO[0].dq[56]
set_location_assignment PIN_AP13 -to MB_II_IO[0].dq[57]
set_location_assignment PIN_AN14 -to MB_II_IO[0].dq[58]
set_location_assignment PIN_AN13 -to MB_II_IO[0].dq[59]
set_location_assignment PIN_AM14 -to MB_II_IO[0].dq[60]
set_location_assignment PIN_AR14 -to MB_II_IO[0].dq[61]
set_location_assignment PIN_AM13 -to MB_II_IO[0].dq[62]
set_location_assignment PIN_AL13 -to MB_II_IO[0].dq[63]
set_location_assignment PIN_AN30 -to MB_II_IO[0].dqs[0]
set_location_assignment PIN_AR31 -to MB_II_IO[0].dqs[1]
set_location_assignment PIN_AV29 -to MB_II_IO[0].dqs[2]
set_location_assignment PIN_AT26 -to MB_II_IO[0].dqs[3]
set_location_assignment PIN_AP16 -to MB_II_IO[0].dqs[4]
set_location_assignment PIN_AK16 -to MB_II_IO[0].dqs[5]
set_location_assignment PIN_AV13 -to MB_II_IO[0].dqs[6]
set_location_assignment PIN_AR13 -to MB_II_IO[0].dqs[7]
set_location_assignment PIN_V31 -to MB_II_IN[0].evt
set_location_assignment PIN_AN15 -to MB_II_OU[0].odt[0]
set_location_assignment PIN_AP15 -to MB_II_OU[0].odt[1]
set_location_assignment PIN_AP19 -to MB_II_OU[0].ras_n
set_location_assignment PIN_AT33 -to MB_II_OU[0].reset_n
set_location_assignment PIN_AP18 -to MB_II_OU[0].cs_n[0]
set_location_assignment PIN_AN18 -to MB_II_OU[0].cs_n[1]
set_location_assignment PIN_T31 -to MB_II_IO[0].scl
set_location_assignment PIN_U31 -to MB_II_IO[0].sda
set_location_assignment PIN_AR19 -to MB_II_OU[0].we_n
#set_location_assignment PIN_AP30 -to MB_II_DQS_N[0]
#set_location_assignment PIN_AT30 -to MB_II_DQS_N[1]
#set_location_assignment PIN_AW30 -to MB_II_DQS_N[2]
#set_location_assignment PIN_AU26 -to MB_II_DQS_N[3]
#set_location_assignment PIN_AR16 -to MB_II_DQS_N[4]
#set_location_assignment PIN_AL16 -to MB_II_DQS_N[5]
#set_location_assignment PIN_AW13 -to MB_II_DQS_N[6]
#set_location_assignment PIN_AT13 -to MB_II_DQS_N[7]

#set_location_assignment PIN_AL23 -to MB_II_CK_N[0]
#set_location_assignment PIN_AJ23 -to MB_II_CK_N[1]

set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[8]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[9]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[10]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[11]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[12]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[13]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[14]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].a[15]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].ba[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].ba[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].ba[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].cas_n
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_OU[0].ck[0]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_OU[0].ck[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].cke[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].cke[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].dm[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[2]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[3]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[4]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[5]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[6]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[7]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[8]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[9]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[10]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[11]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[12]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[13]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[14]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[15]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[16]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[17]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[18]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[19]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[20]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[21]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[22]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[23]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[24]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[25]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[26]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[27]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[28]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[29]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[30]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[31]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[32]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[33]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[34]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[35]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[36]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[37]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[38]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[39]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[40]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[41]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[42]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[43]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[44]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[45]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[46]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[47]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[48]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[49]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[50]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[51]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[52]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[53]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[54]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[55]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[56]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[57]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[58]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[59]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[60]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[61]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[62]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_IO[0].dq[63]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[0]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[1]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[2]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[3]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[4]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[5]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[6]
set_instance_assignment -name IO_STANDARD "DIFFERENTIAL 1.5-V SSTL CLASS I" -to MB_II_IO[0].dqs[7]
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_II_IN[0].evt
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].odt[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].odt[1]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].ras_n
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].reset_n
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].cs_n[0]
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].cs_n[1]
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_II_IO[0].scl
set_instance_assignment -name IO_STANDARD "2.5 V" -to MB_II_IO[0].sda
set_instance_assignment -name IO_STANDARD "SSTL-15 CLASS I" -to MB_II_OU[0].we_n
