from dp_stream_pkg import *

def dp_mux(dp_bus_out, dp_bus_a, dp_bus_b, sel=0):
    """

    """
    @always_comb
    def muxLogic():
        if sel == 1:
            # Note: unfortunately we cannot connect entire buses (using .next) but have to connect them element wise.
            dp_bus_out.data.next  = dp_bus_a.data
            dp_bus_out.valid.next = dp_bus_a.valid
            dp_bus_out.sop.next   = dp_bus_a.sop
            dp_bus_out.eop.next   = dp_bus_a.eop
        else:
            dp_bus_out.data.next  = dp_bus_b.data
            dp_bus_out.valid.next = dp_bus_b.valid
            dp_bus_out.sop.next   = dp_bus_b.sop
            dp_bus_out.eop.next   = dp_bus_b.eop

    return muxLogic
